#include "WorldCoordTranslatorGlobalVariables.h"

namespace X3DTK {
namespace X3D {

WorldCoordTranslatorGlobalVariables::WorldCoordTranslatorGlobalVariables()
: GlobalVariables()
{
}

WorldCoordTranslatorGlobalVariables::~WorldCoordTranslatorGlobalVariables()
{
}

void WorldCoordTranslatorGlobalVariables::init()
{
  _matrixStack.push_front(identity34());
}

void WorldCoordTranslatorGlobalVariables::finish()
{
  _matrixStack.clear();
}

void WorldCoordTranslatorGlobalVariables::pushMatrix(const SFMatrix34f &transformation)
{
  _matrixStack.push_front(_matrixStack.front()*transformation);
}

void WorldCoordTranslatorGlobalVariables::popMatrix()
{
  _matrixStack.pop_front();
}

}
}
